# Class Stat

java.lang.Object
org.apache.zookeeper.data.Stat

All Implemented Interfaces:
  `Record`

@Public public class Stat extends Object implements Record

## Constructor Summary

Constructors
Constructor
Description
`Stat()`
`Stat(long czxid, long mzxid, long ctime, long mtime, int version, int cversion, int aversion, long ephemeralOwner, int dataLength, int numChildren, long pzxid)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object peer_)`
`void`
`copyFrom(Stat from)`
`void`
`deserialize(InputArchive a_, String tag)`
`boolean`
`equals(Object peer_)`
`int`
`getAversion()`
`long`
`getCtime()`
`int`
`getCversion()`
`long`
`getCzxid()`
`int`
`getDataLength()`
`long`
`getEphemeralOwner()`
`long`
`getMtime()`
`long`
`getMzxid()`
`int`
`getNumChildren()`
`long`
`getPzxid()`
`int`
`getVersion()`
`int`
`hashCode()`
`void`
`readFields(DataInput in)`
`void`
`serialize(OutputArchive a_, String tag)`
`void`
`setAversion(int m_)`
`void`
`setCtime(long m_)`
`void`
`setCversion(int m_)`
`void`
`setCzxid(long m_)`
`void`
`setDataLength(int m_)`
`void`
`setEphemeralOwner(long m_)`
`void`
`setMtime(long m_)`
`void`
`setMzxid(long m_)`
`void`
`setNumChildren(int m_)`
`void`
`setPzxid(long m_)`
`void`
`setVersion(int m_)`
`static String`
`signature()`
`String`
`toString()`
`void`
`write(DataOutput out)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Stat

public Stat()

### Stat

public Stat(long czxid, long mzxid, long ctime, long mtime, int version, int cversion, int aversion, long ephemeralOwner, int dataLength, int numChildren, long pzxid)

## Method Details

### getCzxid

public long getCzxid()

### setCzxid

public void setCzxid(long m_)

### getMzxid

public long getMzxid()

### setMzxid

public void setMzxid(long m_)

### getCtime

public long getCtime()

### setCtime

public void setCtime(long m_)

### getMtime

public long getMtime()

### setMtime

public void setMtime(long m_)

### getVersion

public int getVersion()

### setVersion

public void setVersion(int m_)

### getCversion

public int getCversion()

### setCversion

public void setCversion(int m_)

### getAversion

public int getAversion()

### setAversion

public void setAversion(int m_)

### getEphemeralOwner

public long getEphemeralOwner()

### setEphemeralOwner

public void setEphemeralOwner(long m_)

### getDataLength

public int getDataLength()

### setDataLength

public void setDataLength(int m_)

### getNumChildren

public int getNumChildren()

### setNumChildren

public void setNumChildren(int m_)

### getPzxid

public long getPzxid()

### setPzxid

public void setPzxid(long m_)

### copyFrom

public void copyFrom(Stat from)

### serialize

public void serialize(OutputArchive a_, String tag) throws IOException

Specified by:
  `serialize` in interface `Record`
Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive a_, String tag) throws IOException

Specified by:
  `deserialize` in interface `Record`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(DataOutput out) throws IOException

Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Throws:
  `IOException`

### compareTo

public int compareTo(Object peer_) throws ClassCastException

Throws:
  `ClassCastException`

### equals

public boolean equals(Object peer_)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### signature

public static String signature()